<?php declare(strict_types=1);

namespace Addons\Integrations\Pusher\Listeners;

use App\Modules\Ticket\Models\Ticket;
use Illuminate\View\View;

use function array_merge;

class AddMetaConfigFrontendTicket extends AddMetaConfig
{
    /**
     * @return mixed[]
     */
    protected function defaultParams(?View $view = null): array
    {
        if (! isset($view) || ! isset($view->ticket) || ! $view->ticket instanceof Ticket) {
            return parent::defaultParams();
        }

        return array_merge(parent::defaultParams($view), [
            'ticketNumber' => $view->ticket->number,
            'ticketToken'  => $view->ticket->token
        ]);
    }
}
