<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Controllers;

use Addons\Reports\Feedback\Reports\ArticlesOverview;
use Addons\Reports\Feedback\Reports\ArticlesResponses;
use Addons\Reports\Feedback\Reports\TicketsOverview;
use Addons\Reports\Feedback\Reports\TicketsResponses;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Report;

class Feedback extends Report
{
    public function __construct()
    {
        parent::__construct();

        $this->registerReportDashboards($this->getReportDashboards());
    }

    /**
     * @return bool
     */
    public function activate()
    {
        return true;
    }

    /**
     * @return bool
     */
    public function deactivate()
    {
        return true;
    }

    /**
     * @return bool
     */
    public function uninstall()
    {
        return true;
    }

    /**
     * @return array<int, class-string<Dashboard>>
     */
    public function getReportDashboards(): array
    {
        $reports = [];
        if (isModuleEnabled('Ticket')) {
            $reports[] = TicketsOverview::class;
            $reports[] = TicketsResponses::class;
        }

        if (isModuleEnabled('Selfservice')) {
            $reports[] = ArticlesOverview::class;
            $reports[] = ArticlesResponses::class;
        }

        return $reports;
    }
}
