<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Articles;

use Addons\Reports\Feedback\Reports\Cards\ResponseRateChart as BaseResponseRateChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleTitleColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackViewColumn;
use App\Modules\Selfservice\Models\Article;
use App\Modules\Selfservice\Models\FeedbackFormFieldValue;
use App\Modules\Selfservice\Models\FeedbackLog;

/**
 * @extends BaseResponseRateChart<Article, FeedbackLog, FeedbackFormFieldValue>
 */
class ResponseRateChart extends BaseResponseRateChart
{
    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new ArticleCreatedAtColumn,
            new FeedbackRatingColumn,
            new ArticleTitleColumn,
            new FeedbackViewColumn,
        ];
    }

    /**
     * @inheritDoc
     */
    public function model()
    {
        return new Article;
    }
}
