<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Articles;

use Addons\Reports\Feedback\Reports\Cards\TrendChart as BaseTrendChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\ArticleTitleColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackUpdatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Selfservice\FeedbackViewColumn;
use App\Modules\Selfservice\Models\Article;
use App\Modules\Selfservice\Models\FeedbackFormFieldValue;
use App\Modules\Selfservice\Models\FeedbackLog;

use function trans_choice;

/**
 * @extends BaseTrendChart<Article, FeedbackLog, FeedbackFormFieldValue>
 */
class TrendChart extends BaseTrendChart
{
    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new FeedbackUpdatedAtColumn,
            new FeedbackRatingColumn,
            new ArticleTitleColumn,
            new FeedbackViewColumn,
        ];
    }

    public function yAxisName(): string
    {
        return trans_choice('selfservice.article', 2);
    }

    /**
     * @inheritDoc
     */
    public function model()
    {
        return new Article;
    }
}
