<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Tickets;

use Addons\Reports\Feedback\Reports\Cards\ResponseRateChart as BaseResponseRateChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackViewColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketCreatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Ticket\Models\FeedbackFormFieldValue;
use App\Modules\Ticket\Models\FeedbackLog;
use App\Modules\Ticket\Models\Ticket;

/**
 * @extends BaseResponseRateChart<Ticket, FeedbackLog, FeedbackFormFieldValue>
 */
class ResponseRateChart extends BaseResponseRateChart
{
    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new TicketCreatedAtColumn,
            new FeedbackRatingColumn,
            new TicketSubjectColumn,
            new FeedbackViewColumn,
        ];
    }

    /**
     * @inheritDoc
     */
    public function model()
    {
        return new Ticket;
    }
}
