<?php declare(strict_types=1);

namespace Addons\Reports\Feedback\Reports\Tickets;

use Addons\Reports\Feedback\Reports\Cards\TrendChart as BaseTrendChart;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackRatingColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackUpdatedAtColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\FeedbackViewColumn;
use App\Modules\Report\Addon\Dashboards\UnderlyingData\Columns\Ticket\TicketSubjectColumn;
use App\Modules\Ticket\Models\FeedbackFormFieldValue;
use App\Modules\Ticket\Models\FeedbackLog;
use App\Modules\Ticket\Models\Ticket;

use function trans_choice;

/**
 * @extends BaseTrendChart<Ticket, FeedbackLog, FeedbackFormFieldValue>
 */
class TrendChart extends BaseTrendChart
{
    /**
     * @inheritDoc
     */
    public function underlyingDataTableColumns(): array
    {
        return [
            new FeedbackUpdatedAtColumn,
            new FeedbackRatingColumn,
            new TicketSubjectColumn,
            new FeedbackViewColumn,
        ];
    }

    public function yAxisName(): string
    {
        return trans_choice('ticket.ticket', 2);
    }

    /**
     * @inheritDoc
     */
    public function model()
    {
        return new Ticket;
    }
}
