<?php declare(strict_types=1);

namespace Addons\Reports\TicketPerformance\Reports\Cards\SlaPerformance;

use App\Modules\Report\Addon\Dashboards\Cards\Chart\DataStructure;
use App\Modules\Report\Addon\Dashboards\Filtering\QueryBuilder;
use App\Modules\Ticket\Models\Ticket;
use App\Modules\Ticket\Models\TicketDueTimeTarget;

use function sprintf;
use function trans;

class FirstReplyTimeTrendChart extends TrendChart
{
    public function name(): string
    {
        return trans('report.sla_first_reply_time_trend');
    }

    public function data() : DataStructure
    {
        $unit = $this->calculateUnits();

        return parent::data()->setAxisNames(
            $this->unitToTrans($unit),
            trans('report.first_reply_time_percentage')
        );
    }

    /**
     * @return QueryBuilder<Ticket>
     */
    protected function baseQuery(): QueryBuilder
    {
        return parent::baseQuery()
            ->where(sprintf('%s.target', TicketDueTimeTarget::getTableName()), TicketDueTimeTarget::TARGET_FIRST_REPLY_TIME);
    }
}
