<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports\Cards\Overview;

use App\Modules\Report\Addon\Dashboards\Filtering\QueryBuilder;
use App\Modules\Ticket\Models\Ticket;
use Illuminate\Database\Eloquent\Builder;

use function trans;

class TicketsResolvedCard extends TicketsNumberCard
{
    public function name(): string
    {
        return trans('report.tickets_resolved');
    }

    /**
     * @return Builder<Ticket>
     */
    protected function baseQuery(): Builder
    {
        return QueryBuilder::for(Ticket::class)
            ->applyFilters($this->dashboard()->filters('ticket.resolved_time'));
    }
}
