<?php declare(strict_types=1);

namespace Addons\Reports\TicketVolume\Reports;

use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByBrandTable;
use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByChannelChart;
use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByDepartmentTable;
use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByPriorityChart;
use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByStatusChart;
use Addons\Reports\TicketVolume\Reports\Cards\TicketsOpened\ByTagTable;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function brand_count;
use function trans;

class TicketsOpened extends Dashboard
{
    public Timeframe $timeframe = Timeframe::ENABLE;
    public Filter $filter = Filter::TICKET;

    public function name(): string
    {
        return trans('report.tickets_opened');
    }

    public function description(): string
    {
        return trans('report.tickets_opened_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        if (brand_count() > 1) {
            $collection->add(new ByBrandTable);
        }

        $collection->add(new ByDepartmentTable);
        $collection->add(new ByChannelChart);
        $collection->add(new ByStatusChart);
        $collection->add(new ByPriorityChart);
        $collection->add(new ByTagTable);
    }
}
