<?php declare(strict_types=1);

namespace Addons\Reports\UserStatistics\Reports;

use Addons\Reports\UserStatistics\Reports\Cards\Demographics\ActiveUsers;
use Addons\Reports\UserStatistics\Reports\Cards\Demographics\CountryChart;
use Addons\Reports\UserStatistics\Reports\Cards\Demographics\TwoFaUsers;
use Addons\Reports\UserStatistics\Reports\Cards\Demographics\VerifiedUsers;
use App\Modules\Report\Addon\Dashboards\CardCollection;
use App\Modules\Report\Addon\Dashboards\Dashboard;
use App\Modules\Report\Addon\Dashboards\Filtering\Filter;
use App\Modules\Report\Addon\Dashboards\Filtering\Timeframe;

use function trans;

class Demographics extends Dashboard
{
    public Timeframe $timeframe = Timeframe::DISABLE;
    public Filter $filter = Filter::USER;

    public function name(): string
    {
        return trans('report.demographics');
    }

    public function description(): string
    {
        return trans('report.demographics_desc');
    }

    public function loadCards(CardCollection $collection): void
    {
        $collection->add(new VerifiedUsers);
        $collection->add(new ActiveUsers);
        $collection->add(new TwoFaUsers);
        $collection->add(new CountryChart);
    }
}
