<?php declare(strict_types=1);

namespace SupportPal\TopoClient\Locale;

/**
 * @phpstan-type LocaleData array{"name": string, "alpha-2": string, "alpha-3": string, "country-code": string, "iso_3166-2": string, "region": string, "sub-region": string, "intermediate-region": string, "region-code": string, "sub-region-code": string, "intermediate-region-code": string}
 */
class Locale
{
    /** @var LocaleData */
    private readonly array $data;

    /**
     * @param LocaleData $locale
     */
    public function __construct(array $locale)
    {
        $this->data = $locale;
    }

    public function alpha2(): string
    {
        return $this->data['alpha-2'];
    }

    public function countryCode(): string
    {
        return $this->data['country-code'];
    }
}
