<?php declare(strict_types=1);

namespace SupportPal\Support\Controllers;

use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Response;
use SupportPal\Support\Utils\OpcacheUtil;

class ClearOpcacheController extends Controller
{
    private OpcacheUtil $opcacheUtil;

    public function __construct(OpcacheUtil $opcacheUtil)
    {
        $this->opcacheUtil = $opcacheUtil;
    }

    public function index(Request $request): JsonResponse
    {
        if (! $request->has('key')
            || ! $this->opcacheUtil->isTemporarySecret($request->get('key'))
        ) {
            return Response::json(['status' => 'error', 'message' => 'Invalid key provided.'], 401);
        }

        $this->opcacheUtil->reset();

        return Response::json(['status' => 'success']);
    }
}
