<?php declare(strict_types=1);

namespace SupportPal\Support\Database;

use Illuminate\Database\Connection;
use PDO;
use SupportPal\Support\Database\Version\ServerVersion;

/**
 * @mixin Connection
 */
class ConnectionMacros
{
    /**
     * Get MySQL server version.
     */
    public function getServerVersion(): callable
    {
        return fn(): ServerVersion => new ServerVersion($this->getPdo());
    }

    /**
     * Get MySQL client version.
     */
    public function getClientVersion(): callable
    {
        return fn(): string => (string) $this->getPdo()->getAttribute(PDO::ATTR_CLIENT_VERSION);
    }
}
