<?php declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePollcastChannelTable extends Migration
{
    /** @var string */
    private $table = 'pollcast_channel';

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::unprepared(<<<STATEMENT
create table `pollcast_channel`
(
    `id`         char(36)  not null PRIMARY KEY ,
    `name`       text      not null,
    `created_at` timestamp null,
    `updated_at` timestamp null
) default character set utf8mb4
  collate 'utf8mb4_unicode_ci'
  engine = InnoDB;
alter table `pollcast_channel` add index `pollcast_channel_created_at_index` (`created_at`);
STATEMENT
);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop($this->table);
    }
}
