<?php declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePollcastChannelMembersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::unprepared(<<<STATEMENT
create table `pollcast_channel_members`
(
    `id`         char(36)     not null PRIMARY KEY ,
    `channel_id` char(36)     not null,
    `socket_id`  varchar(191) not null,
    `data`       text         null,
    `created_at` timestamp    null,
    `updated_at` timestamp    null
) default character set utf8mb4
  collate 'utf8mb4_unicode_ci'
  engine = InnoDB;
alter table `pollcast_channel_members`
    add constraint `pollcast_channel_members_channel_id_foreign` foreign key (`channel_id`) references `pollcast_channel` (`id`) on delete cascade;
alter table `pollcast_channel_members`
    add index `pollcast_channel_members_created_at_index` (`created_at`);
alter table `pollcast_channel_members`
    add index `pollcast_channel_members_socket_id_index` (`socket_id`);
STATEMENT
);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('pollcast_channel_members');
    }
}
