<?php declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePollcastMessageQueueTable extends Migration
{
    /** @var string */
    private $table = 'pollcast_message_queue';

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       DB::unprepared(<<<STATEMENT
create table `pollcast_message_queue`
(
    `id`         char(36)     not null PRIMARY KEY,
    `channel_id` char(36)     not null,
    `member_id`  char(36)     null,
    `event`      text         not null,
    `payload`    mediumtext   not null,
    `created_at` timestamp(6) null,
    `updated_at` timestamp(6) null
) default character set utf8mb4
  collate 'utf8mb4_unicode_ci'
  engine = InnoDB;
alter table `pollcast_message_queue`
    add constraint `pollcast_message_queue_channel_id_foreign` foreign key (`channel_id`) references `pollcast_channel` (`id`) on delete cascade;
alter table `pollcast_message_queue`
    add constraint `pollcast_message_queue_member_id_foreign` foreign key (`member_id`) references `pollcast_channel_members` (`id`) on delete cascade;
alter table `pollcast_message_queue`
    add index `pollcast_message_queue_created_at_index` (`created_at`);
STATEMENT
);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop($this->table);
    }
}
