<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Schema;

class CreateReportTable extends Migration
{
    public function up(): void
    {
        // Create table.
        Schema::create('report', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->increments('id')->unsigned();

            $table->string('name', 45)->unique();

            $table->tinyInteger('enabled')->default(0);
            $table->tinyInteger('upgrade_available')->default(0);
            $table->string('version')->nullable();

            $table->integer('created_at');
            $table->integer('updated_at')->default(0);
        });
    }

    public function down(): void
    {
        Schema::drop('report');
    }
}
