<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('report_metric', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->id();
            $table->string('name', 45)->unique();

            $table->integer('created_at');
            $table->integer('updated_at')->default(0);

            $table->index('name', 'report_metric_name_index');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('report_metric');
    }
};
