<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('report_metric_value', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->id();

            $table->unsignedBigInteger('metric_id');
            $table->unsignedInteger('model_id')->nullable();
            $table->text('value');

            $table->integer('created_at');
            $table->integer('updated_at')->default(0);

            $table->foreign('metric_id')
                ->references('id')
                ->on('report_metric')
                ->onDelete('cascade');

            $table->index('model_id', 'report_metric_value_model_id_index');
            $table->unique(['metric_id', 'model_id'], 'report_metric_value_metric_id_model_id_unique');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('report_metric_value');
    }
};
