<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Ticket;

use Addons\Channels\Email\Controllers\Email;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

class UpdateTicketChannelSettingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $channel = DB::table('ticket_channel')->where('name', Email::IDENTIFIER)->first();
        if ($channel == null || ! isset($channel->id)) {
            return;
        }

        DB::table('ticket_channel_setting')
            ->where('channel_id', $channel->id)
            ->where('name', 'verbose_log')
            ->delete();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $channel = DB::table('ticket_channel')->where('name', Email::IDENTIFIER)->first();
        if ($channel == null || ! isset($channel->id)) {
            return;
        }

        DB::table('ticket_channel_setting')->insert([
            'channel_id' => $channel->id,
            'name'       => 'verbose_log',
            'value'      => 0,
            'created_at' => time(),
            'updated_at' => time(),
        ]);
    }
}
