<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Ticket;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketDueTimeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ticket_due_time', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->id();

            $table->integer('ticket_id')->unsigned()->unique();
            $table->foreign('ticket_id')->references('id')->on('ticket')->onDelete('cascade');

            $table->unsignedInteger('reply_due_time')->nullable();
            $table->unsignedInteger('resolve_due_time')->nullable();

            $table->unsignedInteger('paused_time')->nullable();
            $table->unsignedInteger('time_while_paused')->default(0);

            $table->unsignedInteger('created_at');
            $table->unsignedInteger('updated_at');

            $table->index(['ticket_id', 'reply_due_time']);
            $table->index(['ticket_id', 'resolve_due_time']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('ticket_due_time');
    }
}
