<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\Ticket;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketDueTimeTargetTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ticket_due_time_target', function (Blueprint $table) {
            $table->engine = 'InnoDB';

            $table->charset = 'utf8mb4';
            $table->collation = 'utf8mb4_unicode_ci';

            $table->id();

            $table->integer('ticket_id')->unsigned();
            $table->foreign('ticket_id')->references('id')->on('ticket')->onDelete('cascade');

            $table->integer('sla_plan_id')->unsigned()->nullable();
            $table->foreign('sla_plan_id')->references('id')->on('sla_plan')->onDelete('cascade');

            $table->tinyInteger('target');
            $table->boolean('target_met');
            $table->unsignedInteger('breach_time')->nullable();

            $table->unsignedInteger('created_at');
            $table->unsignedInteger('updated_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::drop('ticket_due_time_target');
    }
}
