<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0;

use App\Modules\Core\Models\Repository\SettingsRepository;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * This is placed in All-name space so it takes precedence over anything else.
 */
class UpdatePrimaryKeyOnUserTables extends Migration
{
    /** @var string[] */
    private array $tables = [
        'mass_email_group_membership',
        'mass_email_queue',
        'mass_email_upload_membership',
        'permission_role',
        'plugin_role',
        'user_customfield_brand_membership',
        'user_membership',
        'user_organisation_customfield_brand_membership',
        'user_organisation_domain',
        'user_organisation_viewed',
        'user_viewed',
        'brand_operator_group_membership',
        'group_role_membership',
        'mass_email_addresses',
    ];

    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (! app()->make(SettingsRepository::class)->isInstalled()) {
            return;
        }

        foreach ($this->tables as $table) {
            Schema::table($table, function (Blueprint $table) {
                $table->id()->first();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // migration is not reversible https://gitlab.supportpal.com/supportpal/helpdesk/-/issues/3068
    }
}
