<?php declare(strict_types=1);

namespace Database\Migrations\v5_0_0\User;

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateRegistrationConfirmationTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::rename('registration_confirmation', 'email_verification');

        Schema::table('email_verification', function (Blueprint $table) {
            $table->tinyInteger('type')->default(0)->after('token');
            $table->bigInteger('user_email_address_id')->unsigned()->nullable()->after('new_email');
            $table->foreign('user_email_address_id')->references('id')->on('user_email_address')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('email_verification', function (Blueprint $table) {
            $table->dropColumn(['type', 'user_email_address_id']);
        });

        Schema::rename('email_verification', 'registration_confirmation');
    }
}
