<?php declare(strict_types=1);

namespace Database\Seeds\v5_0_0;

use App\Modules\Core\Controllers\Database\Seed\Seeder;
use App\Modules\Report\Addon\ReportDriver;
use App\Modules\Report\Models\Report;
use Illuminate\Contracts\Container\Container;

class SeedReportsTable extends Seeder
{
    public function __construct(Container $container, private readonly ReportDriver $reportDriver)
    {
        parent::__construct($container);
    }

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->reportDriver->synchronise();
        Report::setCache(null, true);

        foreach ($this->reportDriver->discover() as $report) {
            $this->reportDriver->activate($report, true);
        }
    }
}
