<?php declare(strict_types=1);

namespace Database\Seeds\v5_0_0;

use App\Modules\Core\Controllers\Database\Seed\Seeder;
use App\Modules\Report\Jobs\SeedMetrics;
use App\Modules\Report\Jobs\SeedResolvedTimeMetric;
use App\Modules\Report\Metrics\Metric;
use Illuminate\Support\Facades\DB;

use function collect;
use function now;

class SeedReportMetricValueTable extends Seeder
{
    public function run(): void
    {
        $time = now()->timestamp;

        $metrics = collect([Metric::TIME_TO_RESOLUTION])
            ->map(function (Metric $metric) use ($time) {
                return [
                    'name'       => $metric->value,
                    'created_at' => $time,
                    'updated_at' => $time
                ];
            })
            ->toArray();

        DB::table('report_metric')->insert($metrics);

        SeedMetrics::dispatch([SeedResolvedTimeMetric::class]);
    }
}
