<?php declare(strict_types=1);

namespace Chumper\Datatable\Columns;

/**
 * Class BaseColumn
 * @package Chumper\Datatable\Columns
 */
abstract class BaseColumn
{
    protected readonly string $name;

    public function __construct(string $name)
    {
        $this->name = $name;
    }

    /**
     * @param mixed $model The data to pass to the column,
     *              could be a model or an array
     * @return mixed the return value of the implementation,
     *              should be text in most of the cases
     */
    abstract public function run(mixed $model): mixed;

    public function getName(): string
    {
        return $this->name;
    }
}
